FROM quay.io/centos-sig-automotive/autosd:latest

RUN dnf install -y python3-yaml skopeo && \
dnf clean all

COPY files/ /

RUN mkdir -p /etc/autoware-open-adkit/map && \
( \ 
    cd /etc/autoware-open-adkit/map; \
    curl -LO https://gitlab.com/autowarefoundation/autoware_reference_design/-/raw/main/docs/Appendix/Open-AD-Kit-Start-Guide/map/kashiwanoha/lanelet2_map.osm; \
    curl -LO https://gitlab.com/autowarefoundation/autoware_reference_design/-/raw/main/docs/Appendix/Open-AD-Kit-Start-Guide/map/kashiwanoha/pointcloud_map.pcd; \
)

RUN /usr/local/bin/podman-quadlet-image-sync
